Ignore:
Timestamp:
Mar 19, 2011, 12:52:14 PM (9 years ago)
Author:
sam
Message:

video: enforce shader-enabled GL implementations, getting rid of a lot
of code.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure.ac

    r711 r745  
    7979dnl Which version of OpenGL to use?
    8080ac_cv_my_have_gl="no"
    81 PKG_CHECK_MODULES(GLES1, glesv1_cm,
    82  [ac_cv_my_have_gl="yes"
    83   AC_DEFINE(HAVE_GLES_1X, 1, Define to 1 if GLES 1.x is available)
    84   GL_CFLAGS="${GLES1_CFLAGS}"
    85   GL_LIBS="${GLES1_LIBS}"],
    86  [:])
    8781PKG_CHECK_MODULES(GLES2, glesv2,
    8882 [ac_cv_my_have_gl="yes"
     
    9387AC_CHECK_LIB(GL, glLoadIdentity,
    9488 [ac_cv_my_have_gl="yes"
    95   AC_DEFINE(HAVE_GL_1X, 1, Define to 1 if GL 1.x is available)
    9689  AC_DEFINE(HAVE_GL_2X, 1, Define to 1 if GL 2.x is available)
    9790  GL_LIBS="-lGL"]) # FIXME: hackish
Note: See TracChangeset for help on using the changeset viewer.